//-----------------------------------
// protram to test the reading of
// music studio files
//-----------------------------------

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "MSplay.h"
#include "bucket.h"

extern int ticks;

int main(int argc, char *argv[])
{
	MSSONG *pSong=NULL;
	char *s = new char[1024];
	SEVENT *pSe;

	printf("Size of SEVENT = %d\n",sizeof(SEVENT));
	printf("%s\n",argv[1]);
	InitMSplayer();
	pSong = LoadFile(argv[1],16);

	if(pSong)
	{
		GetSongParameters(pSong);
		StartSong(pSong);
		while(parse(pSong,&pSe))
		{
			if(pSe)
				AddObject(&pSong->Sevents,(void *)pSe);
		}
		if(pSe)
			AddObject(&pSong->Sevents,(void *)pSe);
		pSong->MeasureBarCnt = 0;
		PrintSongEvents(pSong);
		pSong->Event = 0;
		printf("Song->%s\n",pSong->SongName);
		ticks = 100;
		do {
			AddEvents(pSong,1);
		}while(pSong->ActiveEvents == 0);
		DisplayEvents(pSong);
		pSong->MeasureBarCnt=0;
		while(Play(pSong));

		sPrintTrkInfo(s,pSong);
		printf("%s",s);
		printf("ERRORS = %d\n",pSong->Errors);
	}
	else
		printf("Could not open file\n");
	delete[] s;
	return 0;
}